export declare class Mempool<T> {
    readonly log: import("@libp2p/logger").Logger;
    readonly values: Map<string, T>;
    readonly missingParents: Map<string, Set<string>>;
    readonly waitingChildren: Map<string, Set<string>>;
    constructor();
    add(id: string, value: T, missingParents: Set<string>): void;
    observe(id: string): Iterable<[id: string, value: T]>;
}
